projects
/
rrq
/
bespoke-installer.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
d1ba0e1
)
added mkrepoiso.sh script to pack media dir as iso
author
Ralph Ronnquist
<rrq@rrq.au>
Tue, 29 Oct 2024 21:31:48 +0000
(08:31 +1100)
committer
Ralph Ronnquist
<rrq@rrq.au>
Tue, 29 Oct 2024 21:31:48 +0000
(08:31 +1100)
mkrepoiso.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/mkrepoiso.sh
b/mkrepoiso.sh
new file mode 100755
(executable)
index 0000000..
8ab0578
--- /dev/null
+++ b/
mkrepoiso.sh
@@ -0,0
+1,16
@@
+#!/bin/bash
+#
+# Make a repo ISO for an arch media
+
+if [ -z "$1" ] ; then
+ echo "Usage: <arch>" >&2
+ exit 1
+fi
+
+xorriso -report_about ALL -outdev "$1-pool.iso" map $1/build/media / \
+ -application_id "$1-pool" \
+ -volid "$(date +%Y-%m-%d)" \
+ -volset_id "devuan" \
+ -publisher "bespoke" \
+ -system_id "VOLS" \
+ -uid 0 -gid 0